Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000832Core InformExtensionspublic2012-01-03 14:462014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000832: Use options with initial values given in words compile with an initial value of zero
DescriptionWith the attached source, the compiler apparently recognizes that foo is a use option with an associated number. It names the option just ``a foo,'' and both

- - - -
Use a foo.
- - - -

and

- - - -
Use a foo of at least six.
- - - -

are accepted. However, the value of foo in the I6 is set to zero, not four.
Minimal Source Text To Reproduce
There is a room.
Use a foo of at least four translates as (- Constant FOO={N}; -).
To decide what number is foo: (- FOO -).
When play begins:
	say "[the list of active use options].";
	showme foo.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-01-03 14:46 EmacsUser New Issue
2012-06-20 08:28 curiousdannii Status new => confirmed
2014-01-26 13:39 graham Status confirmed => resolved
2014-01-26 13:39 graham Resolution open => fixed
2014-01-26 13:39 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker